function UpdateGame(dt)
	local max = math.max
	KeyPressTime1 = max(0, KeyPressTime1 - dt)
	if KeyPressTime1 <= 0 then
		EnableKeyPress1 = true
	end

	KeyPressTime2 = max(0, KeyPressTime2 - dt)
	if KeyPressTime2 <= 0 then
		EnableKeyPress2 = true
	end
	for i, v in ipairs(Bullets1) do
		v:update(dt)
		if v.y < 0 then --top of screen
			table.remove(Bullets1, i)
			v.collider:destroy()
		elseif v.y > love.graphics.getHeight() then --bottom of screen
			table.remove(Bullets1, i)
			v.collider:destroy()
		end
		if v.collider:enter("Player2") then
			print("Player 2 hit")
			table.remove(Bullets1, i)
			v.collider:destroy()
		end
	end

	for i, v in ipairs(Bullets2) do
		v:update(dt)
		if v.y < 0 then --top of screen
			table.remove(Bullets2, i)
			v.collider:destroy()
		elseif v.y > love.graphics.getHeight() then --bottom of screen
			table.remove(Bullets2, i)
			v.collider:destroy()
		end

		if v.collider:enter("Player1") then
			print("Player 1 hit")
			table.remove(Bullets2, i)
			v.collider:destroy()
		end
	end

	UserPlayer1:update(dt)
	UserPlayer2:update(dt)

	--WindField
	World:update(dt)
end
